Skip to main content
GET
cURL

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Query Parameters

limit
integer<int64>
default:100

Limit the number of resources returned by the API

Required range: x >= 1
offset
integer<int64>
default:0

Offset the resources returned by the API

Required range: x >= 0
sort
enum<string>[]

A comma separated list of fields to sort by.

Available options:
time,
-time
filter
string
default:""

Filters the response data based on the value provided.

Available filters:

  • id_in: Filter by event ID(s)
  • organisation_in: Filter accounts by the organisation ID
  • resource_type_in: Filter accounts by the resource type
  • resource_id_in: Filter accounts by the resource ID

For more information on using named filters, see the docs

include
enum<string>[]

A comma separated list of related resources to include.

Available options:
user,
organisation

Response

List of audit events.

JSON API response object

data
A list of audit events · object[]
required
meta
object
required
jsonapi
object
required
included
object[]

Related resources that can be included when an audit event is returned

An organisation